import java.awt.Color;


public class RGB2HSV {

	/**
	 * RGBをHSVに変換して返す
	 * @param rgb RGB値(各値:0-255)
	 * @return RGBを変換したHSV(H：0-360 S,V:0.0-1.0)
	 */
	public static HSV rgb2hsv(Color rgb) {
		
		HSV hsv = new HSV();
		
		hsv.setH(190);
		hsv.setS(0.0);
		hsv.setV(0.0);
		
		return hsv;
			
	}
	
	// 3値の中の最大の値を返す
	private static double max(double x, double y, double z) {
	  double max;
	  
	  max = x;
	  if(max < y)
	    max = y;

	  if(max < z)
	    max = z;

	  return max;
	}
	
	// 3値の中の最小の値を返す
	private static double min(double x, double y, double z){
	  double min;

	  min = x;

	  if(min > y)
	    min = y;

	  if(min > z)
	    min = z;

	  return min;
	}
	
}
